API Docs
YMS API
Load Controller
POST Search Loads

POST Search Loads

Introduction

Search for loads matching specified criteria. Supports filtering by load ID, status, carrier, customer, equipment number, and other fields. Returns a list of all matching load records.

API Request

POST /load/search

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "loadId": "string",
  "loadIds": [
    "string"
  ],
  "loadStatus": "string",
  "loadStatuses": [
    "string"
  ],
  "loadNos": [
    "string"
  ],
  "loadNo": "string",
  "loadNoLike": "string",
  "shipMethod": "TRUCK_LOAD",
  "carrierId": "string",
  "carrierIds": [
    "string"
  ],
  "appointmentTimePeriod": [
    "string"
  ],
  "appointmentId": "string",
  "orderIds": [
    "string"
  ],
  "orderId": "string",
  "keyword": "string",
  "keywordWithOrder": "string",
  "customerId": "string",
  "customerIds": [
    "string"
  ],
  "masterBol": "string",
  "bolNos": [
    "string"
  ],
  "masterBolNos": [
    "string"
  ],
  "sealNo": "string",
  "equipmentType": "VEHICLE",
  "equipmentNo": "string",
  "equipmentNos": [
    "string"
  ],
  "equipmentNoLike": "string",
  "trailerNo": "string",
  "appointmentIdIsNull": true,
  "templateLoadKey": "string",
  "searchScenario": "string",
  "referenceNoLike": "string",
  "poNoLike": "string",
  "loadIdLike": "string",
  "poNoGroup": "string",
  "referenceNoGroup": "string",
  "orLoadNo": "string",
  "orLoadId": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyLoadQuery (opens in a new tab)Nonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": [
    {
      "id": "",
      "loadId": "",
      "loadStatus": "",
      "loadNo": "",
      "shipMethod": "",
      "carrierId": "",
      "appointmentTime": "",
      "appointmentId": "",
      "orderIds": [
        ""
      ],
      "customerId": "",
      "masterBol": "",
      "sealNo": "",
      "customerName": "",
      "carrierName": "",
      "orderViews": [
        {
          "id": 0,
          "orderId": "",
          "orderStatus": "",
          "customerId": "",
          "poNo": "",
          "referenceNo": "",
          "retailer": "",
          "shipFrom": "",
          "shipTo": "",
          "totalPalletQty": 0,
          "totalCartonQty": 0,
          "itemInfos": [
            {
              "itemId": "",
              "itemName": "",
              "itemQty": "",
              "palletQty": "",
              "itemSpecDesc": "",
              "itemSpecName": "",
              "uomId": "",
              "qty": ""
            }
          ],
          "customerName": "",
          "carrierName": "",
          "shipToAddress": {
            "id": "",
            "name": "",
            "country": "",
            "state": "",
            "city": "",
            "zipCode": "",
            "fax": "",
            "address1": "",
            "address2": "",
            "contact": "",
            "phone": "",
            "extension": "",
            "email": "",
            "orgId": "",
            "orgName": "",
            "referenceNo": "",
            "batchCode": "",
            "storeNo": "",
            "shorthand": "",
            "toHome": false,
            "tags": [
              ""
            ],
            "latitude": "",
            "longitude": "",
            "crmAddressId": ""
          },
          "shipFromAddress": {
            "id": "",
            "name": "",
            "country": "",
            "state": "",
            "city": "",
            "zipCode": "",
            "fax": "",
            "address1": "",
            "address2": "",
            "contact": "",
            "phone": "",
            "extension": "",
            "email": "",
            "orgId": "",
            "orgName": "",
            "referenceNo": "",
            "batchCode": "",
            "storeNo": "",
            "shorthand": "",
            "toHome": false,
            "tags": [
              ""
            ],
            "latitude": "",
            "longitude": "",
            "crmAddressId": ""
          },
          "appointmentTime": "",
          "dynamicFieldValues": [
            {
              "entityId": "",
              "entityType": "",
              "fieldCode": "",
              "value": "",
              "fieldName": "",
              "longValue": "",
              "shortValue": ""
            }
          ],
          "proNos": [
            ""
          ],
          "invoicePros": [
            ""
          ],
          "doNos": [
            ""
          ],
          "tripNo": "",
          "shippedTime": ""
        }
      ],
      "dynamicFieldValues": [
        {
          "entityId": "",
          "entityType": "",
          "fieldCode": "",
          "value": "",
          "fieldName": "",
          "longValue": "",
          "shortValue": ""
        }
      ],
      "equipmentType": "",
      "equipmentNo": "",
      "referenceNoList": [
        ""
      ],
      "poNoList": [
        ""
      ],
      "templateLoadKey": "",
      "proNos": [
        ""
      ],
      "invoicePros": [
        ""
      ],
      "doNos": [
        ""
      ],
      "tripNos": [
        ""
      ],
      "loadType": "",
      "stagingLocationName": "",
      "shippedTime": ""
    }
  ]
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRListLoadView (opens in a new tab)